// DbaseDlg.cpp : implementation file
//

#include "stdafx.h"
#include "VCDemo.h"
#include "DbaseDlg.h"

#include <afxpriv.h>

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CDbaseDlg dialog


CDbaseDlg::CDbaseDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CDbaseDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CDbaseDlg)
	m_filename = _T("");
	//}}AFX_DATA_INIT
}


void CDbaseDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDbaseDlg)
	DDX_Text(pDX, IDC_EDIT_FILENAME, m_filename);
	DDX_Control(pDX, IDC_SGCTRL1, m_ctrl);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CDbaseDlg, CDialog)
	//{{AFX_MSG_MAP(CDbaseDlg)
	ON_BN_CLICKED(IDC_BUTTON_BROWSER, OnButtonBrowser)
	ON_BN_CLICKED(IDC_BUTTON_OPEN, OnButtonOpen)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDbaseDlg message handlers

void CDbaseDlg::OnButtonBrowser() 
{
	// TODO: Add your control notification handler code here
	UpdateData();
	CFileDialog file( TRUE, "*.MDB", m_filename, OFN_HIDEREADONLY | OFN_OVERWRITEPROMPT, 
										"Access File(*.MDB)|*.MDB|", NULL );
	if ( file.DoModal() == IDOK ){
		m_filename = file.GetPathName( );
	}
	UpdateData(FALSE);
}

void CDbaseDlg::OnButtonOpen() 
{
	// TODO: Add your control notification handler code here
	USES_CONVERSION;      //add #include <afxpriv.h> in your stdafx.h

	UpdateData();
	if( m_filename.IsEmpty() ){
		AfxMessageBox( "Please input filename!" );
		GetDlgItem( IDC_EDIT_FILENAME )->SetFocus();
	}
	else{
		COleVariant var;
		if( m_ctrl.DoOpenFileDbase( 0, m_filename, &var ) ){
			CString tables, tablename;
			COleVariant varcols, varrows;
			long cols,rows;
			if( var.vt == VT_BSTR )
				tables = W2A(V_BSTR(&var));
			for( int i=0; i<3; i++){ //support at most 3 tables
				int loc = tables.Find( "\r\n" );
				if( loc > 0 ){
					tablename = tables.Left( loc );
					tables = tables.Right( tables.GetLength() - loc - 2 );
					if( i > 0 )m_ctrl.DoAppendPage( "", 1 );
					m_ctrl.DoDumpDbaseTable( tablename, 0, -1, i, TRUE, &varcols, &varrows);
					m_ctrl.DoSetCurrentPage( i );
					varcols.ChangeType( VT_R8 );
					varrows.ChangeType( VT_R8 );
					cols = long(varcols.dblVal);
					rows = long(varrows.dblVal);
					m_ctrl.SetCols( cols );
					m_ctrl.SetRows( rows-1 );
				}
			}
			m_ctrl.DoCloseDbase();
		}
	}
}
