// FaceDlg.cpp : implementation file
//

#include "stdafx.h"
#include "VCDemo.h"
#include "FaceDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CFaceDlg dialog


CFaceDlg::CFaceDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CFaceDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CFaceDlg)
	m_collabel = TRUE;
	m_hscroll = TRUE;
	m_pagelabel = TRUE;
	m_rowlabel = TRUE;
	m_vscroll = TRUE;
	m_border = TRUE;
	//}}AFX_DATA_INIT
}


void CFaceDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CFaceDlg)
	DDX_Check(pDX, IDC_CHECK_COLLABEL, m_collabel);
	DDX_Check(pDX, IDC_CHECK_HSCROLL, m_hscroll);
	DDX_Check(pDX, IDC_CHECK_PAGELABEL, m_pagelabel);
	DDX_Check(pDX, IDC_CHECK_ROWLABEL, m_rowlabel);
	DDX_Check(pDX, IDC_CHECK_VSCROLL, m_vscroll);
	DDX_Control(pDX, IDC_SGCTRL1, m_ctrl);
	DDX_Check(pDX, IDC_CHECK_BORDER, m_border);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CFaceDlg, CDialog)
	//{{AFX_MSG_MAP(CFaceDlg)
	ON_BN_CLICKED(IDC_CHECK_COLLABEL, OnCheckCollabel)
	ON_BN_CLICKED(IDC_CHECK_HSCROLL, OnCheckHscroll)
	ON_BN_CLICKED(IDC_CHECK_PAGELABEL, OnCheckPagelabel)
	ON_BN_CLICKED(IDC_CHECK_ROWLABEL, OnCheckRowlabel)
	ON_BN_CLICKED(IDC_CHECK_VSCROLL, OnCheckVscroll)
	ON_BN_CLICKED(IDC_CHECK_BORDER, OnCheckBorder)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CFaceDlg message handlers

void CFaceDlg::OnCheckCollabel() 
{
	// TODO: Add your control notification handler code here
	UpdateData();
	m_ctrl.SetTopLabelVisible( m_collabel);
}

void CFaceDlg::OnCheckHscroll() 
{
	// TODO: Add your control notification handler code here
	UpdateData();
	m_ctrl.SetHScrollVisible( m_hscroll);
}

void CFaceDlg::OnCheckPagelabel() 
{
	// TODO: Add your control notification handler code here
	UpdateData();
	m_ctrl.SetPageLabelVisible( m_pagelabel);
}

void CFaceDlg::OnCheckRowlabel() 
{
	// TODO: Add your control notification handler code here
	UpdateData();
	m_ctrl.SetSideLabelVisible( m_rowlabel);
}

void CFaceDlg::OnCheckVscroll() 
{
	// TODO: Add your control notification handler code here
	UpdateData();
	m_ctrl.SetVScrollVisible( m_vscroll);	
}

void CFaceDlg::OnCheckBorder() 
{
	// TODO: Add your control notification handler code here
	UpdateData();
	m_ctrl.SetBorder( m_border);	
}
