// UnScrollDlg.cpp : implementation file
//

#include "stdafx.h"
#include "vcdemo.h"
#include "UnScrollDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CUnScrollDlg dialog


CUnScrollDlg::CUnScrollDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CUnScrollDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CUnScrollDlg)
	m_sizerow = FALSE;
	m_sizecol = FALSE;
	//}}AFX_DATA_INIT
}


void CUnScrollDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CUnScrollDlg)
	DDX_Check(pDX, IDC_CHECK_ROW, m_sizerow);
	DDX_Check(pDX, IDC_CHECK2, m_sizecol);
	DDX_Control(pDX, IDC_SGCTRL1, m_ctrl);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CUnScrollDlg, CDialog)
	//{{AFX_MSG_MAP(CUnScrollDlg)
	ON_BN_CLICKED(IDC_CHECK_ROW, OnCheckRow)
	ON_BN_CLICKED(IDC_CHECK2, OnCheck2)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CUnScrollDlg message handlers

BOOL CUnScrollDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	// TODO: Add extra initialization here
	COleVariant var( "VCDEMO" );
	m_ctrl.DoSetMessageTitle( var );
	m_ctrl.DoSetUnScrollRow( 3, 5 );
	m_ctrl.DoSetUnScrollCol( 1, 2 );

	for( int i=3; i<=5; i++){
		for( int j=0; j<10; j++){
			m_ctrl.DoSetCell3DState( j, i, 1);
		}
	}
	m_ctrl.DoJoinCells( 3, 3, 5, 3 );

	m_ctrl.SetRowSelectedMode(TRUE);
	m_ctrl.DoShowCurrentCell( FALSE, TRUE );
	m_ctrl.SetMultiSelectedMode(FALSE);

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CUnScrollDlg::OnCheckRow() 
{
	// TODO: Add your control notification handler code here
	UpdateData();
	m_ctrl.SetAllowSizeRowInGrid( m_sizerow );
}

void CUnScrollDlg::OnCheck2() 
{
	// TODO: Add your control notification handler code here
	UpdateData();
	m_ctrl.SetAllowSizeColInGrid( m_sizecol );
}
