// PagesDlg.cpp : implementation file
//

#include "stdafx.h"
#include "VCDemo.h"
#include "PagesDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CPagesDlg dialog


CPagesDlg::CPagesDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CPagesDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CPagesDlg)
	m_label = _T("");
	m_pageno = 1;
	//}}AFX_DATA_INIT
}


void CPagesDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CPagesDlg)
	DDX_Text(pDX, IDC_EDIT_LABEL, m_label);
	DDX_Text(pDX, IDC_EDIT_PAGENO, m_pageno);
	DDV_MinMaxUInt(pDX, m_pageno, 1, 100);
	DDX_Control(pDX, IDC_SGCTRL1, m_ctrl);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CPagesDlg, CDialog)
	//{{AFX_MSG_MAP(CPagesDlg)
	ON_BN_CLICKED(IDC_BUTTON_LABEL, OnButtonLabel)
	ON_BN_CLICKED(IDC_BUTTON_NO, OnButtonNo)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CPagesDlg message handlers

BOOL CPagesDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	// TODO: Add extra initialization here
	COleVariant var( "VCDEMO" );
	m_ctrl.DoSetTotalPages( 100 );
	m_ctrl.DoSetMessageTitle( var );
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CPagesDlg::OnButtonLabel() 
{
	// TODO: Add your control notification handler code here
	UpdateData();
	m_ctrl.DoSetPageLabel( m_ctrl.DoGetCurrentPage(), m_label );
	m_ctrl.DoRedrawPageLabel();
}

void CPagesDlg::OnButtonNo() 
{
	// TODO: Add your control notification handler code here
	UpdateData();
	if( m_pageno < m_ctrl.DoGetTotalPages() )
		m_ctrl.DoSetCurrentPage( m_pageno-1 );
	m_ctrl.DoRedrawPageLabel();
}

BEGIN_EVENTSINK_MAP(CPagesDlg, CDialog)
    //{{AFX_EVENTSINK_MAP(CPagesDlg)
	ON_EVENT(CPagesDlg, IDC_SGCTRL1, 12 /* OnPageChange */, OnOnPageChangeSgctrl1, VTS_I4 VTS_I4)
	ON_EVENT(CPagesDlg, IDC_SGCTRL1, 47 /* OnAllowComeToPage */, OnOnAllowComeToPageSgctrl1, VTS_I4 VTS_PVARIANT)
	//}}AFX_EVENTSINK_MAP
END_EVENTSINK_MAP()

void CPagesDlg::OnOnPageChangeSgctrl1(long oldpage, long newpage) 
{
	// TODO: Add your control notification handler code here
	m_pageno = newpage+1;
	UpdateData( FALSE );
}

void CPagesDlg::OnOnAllowComeToPageSgctrl1(long page, VARIANT FAR* allow) 
{
	// TODO: Add your control notification handler code here
	COleVariant var( allow );
	if( page == 4 )var = 0l;	
	else var = 1l;
	*allow = var.Detach();
}

void CPagesDlg::OnOK() 
{
	// TODO: Add extra validation here
	//m_ctrl.DoMoveToCell( 3, 19 );
	CDialog::OnOK();
}
