// SortDlg.cpp : implementation file
//

#include "stdafx.h"
#include "VCDemo.h"
#include "SortDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CSortDlg dialog


CSortDlg::CSortDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CSortDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CSortDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void CSortDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CSortDlg)
	DDX_Control(pDX, IDC_SGCTRL1, m_ctrl);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CSortDlg, CDialog)
	//{{AFX_MSG_MAP(CSortDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CSortDlg message handlers

BEGIN_EVENTSINK_MAP(CSortDlg, CDialog)
    //{{AFX_EVENTSINK_MAP(CSortDlg)
	ON_EVENT(CSortDlg, IDC_SGCTRL1, 31 /* OnCompareSortData */, OnOnCompareSortDataSgctrl1, VTS_BOOL VTS_VARIANT VTS_VARIANT VTS_PI4)
	//}}AFX_EVENTSINK_MAP
END_EVENTSINK_MAP()

BOOL CSortDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	// TODO: Add extra initialization here
	m_ctrl.SetCols( 6 );
	m_ctrl.SetRows( 8 );
	m_ctrl.DoSetBackGround(4);

    m_ctrl.DoSetCellString( 0,-1, "Stock" );	
	m_ctrl.DoSetCellString( 1,-1, "Open");
	m_ctrl.DoSetCellString( 2,-1, "Rise/Drop");
	m_ctrl.DoSetCellString( 3,-1, "Volume" );
	m_ctrl.DoSetCellString( 4,-1, "10:10" );
	m_ctrl.DoSetCellString( 5,-1, "Volume" );

	m_ctrl.DoSetCellString( 0,0, "Microsoft" );	
	m_ctrl.DoSetCellValue( 1,0, 27.50 );
	m_ctrl.DoSetCellValue( 2,0, -0.57);
	m_ctrl.DoSetCellValue( 3,0, 1116200 );
	m_ctrl.DoSetCellValue( 4,0, 27.60 );
	m_ctrl.DoSetCellValue( 5,0, 338700 );

	m_ctrl.DoSetCellString( 0,1, "IBM" );	
	m_ctrl.DoSetCellValue( 1,1, 9.59 );
	m_ctrl.DoSetCellValue( 2,1, -1.94);
	m_ctrl.DoSetCellValue( 3,1, 317000 );
	m_ctrl.DoSetCellValue( 4,1, 9.7);
	m_ctrl.DoSetCellValue( 5,1, 45600 );

	m_ctrl.DoSetCellString( 0,2, "Oracle" );	
	m_ctrl.DoSetCellValue( 1,2,11.3);
	m_ctrl.DoSetCellValue( 2,2, 0.89);
	m_ctrl.DoSetCellValue( 3,2, 333200 );
	m_ctrl.DoSetCellValue( 4,2, 11.21 );
	m_ctrl.DoSetCellValue( 5,2, 20700 );

	m_ctrl.DoSetCellString( 0,3, "Sybase" );	
	m_ctrl.DoSetCellValue( 1,3, 13.52);
	m_ctrl.DoSetCellValue( 2,3, -2.02);
	m_ctrl.DoSetCellValue( 3,3, 378500 );
	m_ctrl.DoSetCellValue( 4,3, 13.68 );
	m_ctrl.DoSetCellValue( 5,3, 26500 );

	m_ctrl.DoSetCellString( 0,4, "Adobe" );	
	m_ctrl.DoSetCellValue( 1,4, 15.82);
	m_ctrl.DoSetCellValue( 2,4, -1.12);
	m_ctrl.DoSetCellValue( 3,4, 799600 );
	m_ctrl.DoSetCellValue( 4,4, 15.81 );
	m_ctrl.DoSetCellValue( 5,4, 69600 );

	m_ctrl.DoSetCellString( 0,5, "Yahoo" );	
	m_ctrl.DoSetCellValue( 1,5, 6.3);
	m_ctrl.DoSetCellValue( 2,5, -1.4);
	m_ctrl.DoSetCellValue( 3,5, 476000 );
	m_ctrl.DoSetCellValue( 4,5, 6.43 );
	m_ctrl.DoSetCellValue( 5,5, 195500 );

	m_ctrl.DoSetCellString( 0,6, "AOL" );	
	m_ctrl.DoSetCellValue( 1,6,10.21);
	m_ctrl.DoSetCellValue( 2,6, -0.68);
	m_ctrl.DoSetCellValue( 3,6, 221300 );
	m_ctrl.DoSetCellValue( 4,6, 10.26 );
	m_ctrl.DoSetCellValue( 5,6, 21200 );

	m_ctrl.DoSetCellString( 0,7, "AT&T" );	
	m_ctrl.DoSetCellValue( 1,7,9.1);
	m_ctrl.DoSetCellValue( 2,7, -2.04);
	m_ctrl.DoSetCellValue( 3,7, 1014800 );
	m_ctrl.DoSetCellValue( 4,7, 9.12);
	m_ctrl.DoSetCellValue( 5,7, 97000 );

	m_ctrl.DoSetCellString( 0,8, "North" );	
	m_ctrl.DoSetCellValue( 1,8, 8.98);
	m_ctrl.DoSetCellValue( 2,8, -2.07);
	m_ctrl.DoSetCellValue( 3,8, 757300 );
	m_ctrl.DoSetCellValue( 4,8, 9.11 );
	m_ctrl.DoSetCellValue( 5,8, 154400 );

	for( int i=1; i<6; i++)
		m_ctrl.DoSetSortCol( i, TRUE );

	m_ctrl.SetRowSelectedMode(TRUE);
	m_ctrl.SetSideLabelVisible( FALSE );
	m_ctrl.SetPageLabelVisible( FALSE );
	m_ctrl.DoShowCurrentCell(FALSE, TRUE);
	m_ctrl.SetMultiSelectedMode(FALSE);
	
	m_ctrl.SetGridReadOnly(TRUE);
	m_ctrl.SetCurrentTopLabelHint(FALSE);
	COleVariant var( "VCDEMO" );
	m_ctrl.DoSetMessageTitle( var );

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CSortDlg::OnOnCompareSortDataSgctrl1(BOOL assending, const VARIANT FAR& data1, const VARIANT FAR& data2, long FAR* compareResult) 
{
	// TODO: Add your control notification handler code here
	
}
